server:
  port: 9096

## spring security 配置
security:
  oauth2:
    client:
      client-id: ENC(ltJPpR50wT0oIY9kfOe1Iw==)
      client-secret: ENC(ltJPpR50wT0oIY9kfOe1Iw==)
      scope: server
      ignore-urls:
        - /webjars/**
        - /v3/api-docs/**
        - /doc.html
        - /swagger-resources
        - /css/**
        - /error
        - /druid/**
        - /actuator/**
        - /code/**

# 前端密码登录解密密钥
gateway:
  encodeKey: pigxpigxpigxpigx

## 数据源
#spring:
#  datasource:
#    driver-class-name: oracle.jdbc.OracleDriver
#    username: irpt51
#    password: irpt51
#    url: jdbc:oracle:thin:@172.16.6.24:1521:orcl
# 数据源
spring:
  datasource:
    driver-class-name: dm.jdbc.driver.DmDriver
    username: EMERGENCY
    password: emergency@1234
    url: jdbc:dm://172.16.6.185:5236/EMERGENCY?zeroDateTimeBehavior=convertToNull&useUnicode=true&characterEncoding=UTF-8
  redis:
    host: 172.16.6.129
    database: 2  #避免和微服务 PIGX 冲突
    port: 6379
    password: gjj_129@zg

# 本地文件系统
file:
  local:
    enable: true
    basePath: /data/file

# Logger Config
logging:
  level:
    com.emergency.avenue.admin.mapper: debug

# 租户表维护
avenue:
  tenant:
    column: tenant_id
    tables:
      - sys_user
      - sys_role
      - sys_menu
      - sys_dept
      - sys_log
      - sys_social_details
      - sys_dict
      - sys_dict_item
      - sys_public_param
      - sys_log
      - sys_file
      - sys_oauth_client_details
      - sys_post

minio:
  url: http://172.16.6.125:9000
  access-key: minioadmin
  secret-key: minioadmin
